1 Reply Latest reply: Feb 3, 2013 2:50 AM by CCTM
mattdaddy36 Level 1 Level 1 (0 points)

This is my first post, and I'm a long time Mac lover, but am not super great at knowing my system as well as I should, and am only fair at "tech speak". I just upgraded to a Mac mini with a 2.5 GHz Intel i5, and am running Mac OSX Lion 10.7.5 (11G63b). I have Logic 8 from my previous system that I want to download from disc to my new system (my old Power PC iMac is gone in a hand-me-down, so it is not available). I popped in the install disc, and it came up with a message that says Power PC software is no longer supported. I have been looking at other posts trying to ascertain what to do, and have been seeing information about Rosetta, using older versions of OSX, running parallel systems, and all sorts of other possible fixes from varying years of postings. I am wondering if there is anything I can do, that doesn't take a boat load of cash, to make this work on my current set up. As well, I want to again apologize to all you Mac Masters out there if I seem like a noob to some of this, it's because I am. I would appreciate any help you can give, and thank you all in adavnce.


Mac mini, Mac OS X (10.7.5), Logic 8